Checks: >-
  *,
  -fuchsia-default-arguments,
  -google-readability-namespace-comments,
  -hicpp-deprecated-headers,
  -llvm-header-guard,
  -llvm-namespace-comment,
  -modernize-deprecated-headers
WarningsAsErrors: ''
HeaderFilterRegex: '.*'
AnalyzeTemporaryDtors: false
FormatStyle: file
CheckOptions:
  - key: bugprone-argument-comment.StrictMode
    value: '1'
  - key: google-readability-braces-around-statements.ShortStatementLines
    value: '2'
  - key: hicpp-braces-around-statements.ShortStatementLines
    value: '2'
  - key: misc-misplaced-widening-cast.CheckImplicitCasts
    value: '1'
  - key: misc-suspicious-enum-usage.StrictMode
    value: '1'
  - key: misc-suspicious-string-compare.WarnOnImplicitComparison
    value: '0'
  - key: misc-suspicious-string-compare.WarnOnLogicalNotComparison
    value: '0'
  - key: modernize-loop-convert.NamingStyle
    value: lower_case
  - key: readability-braces-around-statements.ShortStatementLines
    value: '2'
  - key: readability-identifier-naming.NamespaceCase
    value: lower_case
  - key: readability-identifier-naming.InlineNamespaceCase
    value: lower_case
  - key: readability-identifier-naming.EnumConstantCase
    value: UPPER_CASE
  - key: readability-identifier-naming.ConstexprVariableCase
    value: UPPER_CASE
  - key: readability-identifier-naming.ConstantMemberCase
    value: lower_case
  - key: readability-identifier-naming.PrivateMemberCase
    value: lower_case
  - key: readability-identifier-naming.ProtectedMemberCase
    value: lower_case
  - key: readability-identifier-naming.PublicMemberCase
    value: lower_case
  - key: readability-identifier-naming.MemberCase
    value: lower_case
  - key: readability-identifier-naming.ClassConstantCase
    value: lower_case
  - key: readability-identifier-naming.ClassMemberCase
    value: lower_case
  - key: readability-identifier-naming.GlobalConstantCase
    value: UPPER_CASE
  - key: readability-identifier-naming.GlobalVariableCase
    value: lower_case
  - key: readability-identifier-naming.LocalConstantCase
    value: UPPER_CASE
  - key: readability-identifier-naming.LocalVariableCase
    value: lower_case
  - key: readability-identifier-naming.StaticConstantCase
    value: UPPER_CASE
  - key: readability-identifier-naming.StaticVariableCase
    value: lower_case
  - key: readability-identifier-naming.ConstantCase
    value: UPPER_CASE
  - key: readability-identifier-naming.VariableCase
    value: lower_case
  - key: readability-identifier-naming.ConstantParameterCase
    value: lower_case
  - key: readability-identifier-naming.ParameterPackCase
    value: lower_case
  - key: readability-identifier-naming.ParameterCase
    value: lower_case
  - key: readability-identifier-naming.AbstractClassCase
    value: lower_case
  - key: readability-identifier-naming.StructCase
    value: lower_case
  - key: readability-identifier-naming.ClassCase
    value: lower_case
  - key: readability-identifier-naming.UnionCase
    value: lower_case
  - key: readability-identifier-naming.EnumCase
    value: lower_case
  - key: readability-identifier-naming.GlobalFunctionCase
    value: lower_case
  - key: readability-identifier-naming.ConstexprFunctionCase
    value: lower_case
  - key: readability-identifier-naming.FunctionCase
    value: lower_case
  - key: readability-identifier-naming.ConstexprMethodCase
    value: lower_case
  - key: readability-identifier-naming.VirtualMethodCase
    value: lower_case
  - key: readability-identifier-naming.ClassMethodCase
    value: lower_case
  - key: readability-identifier-naming.PrivateMethodCase
    value: lower_case
  - key: readability-identifier-naming.ProtectedMethodCase
    value: lower_case
  - key: readability-identifier-naming.PublicMethodCase
    value: lower_case
  - key: readability-identifier-naming.MethodCase
    value: lower_case
  - key: readability-identifier-naming.TypedefCase
    value: lower_case
  - key: readability-identifier-naming.TypeTemplateParameterCase
    value: lower_case
  - key: readability-identifier-naming.ValueTemplateParameterCase
    value: lower_case
  - key: readability-identifier-naming.TemplateTemplateParameterCase
    value: lower_case
  - key: readability-identifier-naming.TemplateParameterCase
    value: lower_case
  - key: readability-identifier-naming.TypeAliasCase
    value: lower_case
  - key: readability-identifier-naming.MacroDefinitionCase
    value: UPPER_CASE
  - key: readability-implicit-bool-conversion.AllowIntegerConditions
    value: '1'
  - key: readability-implicit-bool-conversion.AllowPointerConditions
    value: '1'
  - key: readability-simplify-boolean-expr.ChainedConditionalAssignment
    value: '1'
  - key: readability-simplify-boolean-expr.ChainedConditionalReturn
    value: '1'
